from ppms import ppms
from ppms import ppms_cu

text_constants={
                "window_title": ppms_cu.Helper.get_const_title("001174"),
                "finish_button_title": ppms_cu.Helper.get_const_title("000032")
                }
                
start_script = """
from info_window import InfoWindow, xaml_window
info_obj = InfoWindow(xaml_window,{0})
info_obj.show()
""".format(text_constants)

info_change_script = 'info_obj.change_info({0}.decode("utf-8"))\n'

log_append_script = 'info_obj.add_log_entry({0}.decode("utf-8"))\n' \
                    'info_obj.show_log_summary("{1}")\n'

finish_script = 'info_obj.finish()\n'

def show_info(message):
    ppms.client_exec(info_change_script.format(message))
    
def add_to_log(message, log_summary):
    ppms.client_exec(log_append_script.format(message, log_summary))

def start():
    ppms.client_exec(start_script)

def refocus():
    ppms.client_exec('info_obj.refocus()')

def finish():
    ppms.client_exec(finish_script)
